#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%define		pdir	XML
%define		pnam	GDOME
Summary:	XML::GDOME - interface to Level 2 DOM gdome2 library
Summary(pl.UTF-8):	XML::GDOME - interfejs do biblioteki DOM Level 2 gdome2
Name:		perl-XML-GDOME
Version:	0.86
Release:	16
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	01ee59f686f9d409bdc316297942ea55
URL:		http://search.cpan.org/dist/XML-GDOME/
BuildRequires:	gdome2-devel >= 0.7.2
BuildRequires:	glib-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-LibXML-Common
BuildRequires:	perl-XML-SAX
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::GDOME is a Perl module that provides the DOM Level 2 Core API for
accessing XML documents. It uses a XS wrapper around the gdome2
library.

%description -l pl.UTF-8
XML::GDOME to moduł Perla dostarczający podstawowe API DOM Level 2 do
dostępu do dokumentów XML. Używa wrappera XS do biblioteki gdome2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/*.pm
%dir %{perl_vendorarch}/XML/GDOME
%{perl_vendorarch}/XML/GDOME/SAX
%dir %{perl_vendorarch}/auto/XML/GDOME
%attr(755,root,root) %{perl_vendorarch}/auto/XML/GDOME/*.so
%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-GDOME.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2bb1086
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4719c02
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 16a6e1a
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> d03973d
- rebuild with perl 5.28.0
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 981962f
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3eee1c5
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 2e99c64
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 56b86f3
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f1b2168
- x32 rebuild
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7a6d1eb
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 684448d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 28a4f41
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4ddbb03
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 98f7a09
- BR: glib-devel

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d4345f3
- release 5

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 56a8a3d
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 38431c2
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 436f8c1
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c0cdae4
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5d396f2
- tabs in preamble

